Subject: Re: bug#78298: [PATCH] Scroll with mouse wheel in calendar

From: Juri Linkov <[email-masked]>
Date: Sun, 11 May 2025 09:47:27 +0300

> I've checked: calendar-for/backward-year place the cursor on current the
> day of month while the functions I introduce place it on the first day
> of the month.
>
> For such a tiny difference, I think I should remove
> calendar-scroll-right-year (and left) from this patch.  WDYT?

It should be fine to use the existing functions where
the mouse wheel bindings are just another way to use them.
So [M-wheel-up/down] will be the same as 'C-x ]', etc.
This compatibility is good for user's expectations.